import { AxiosResponse } from 'axios'
import {
    pageInputProjectLinkManagePageInput,
    ResultOutputPageOutputProjectLinkManagePageOutput,
    PageInputProjectLinkGetPageDto,
    ResultOutputPageOutputProjectLinkListOutput
} from './data-contracts'
import { ContentType, HttpClient, RequestParams } from './http-client'

export class ProjectLinkApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{
    /**
   * No description
   *
   * @tags projectlink
   * @name GetPage
   * @summary 查询管理分页
   * @request POST:/api/admin/project-link/get-manage-page
   * @secure
   */
    getPageManage = (data: pageInputProjectLinkManagePageInput, params: RequestParams = {}) =>
        this.request<ResultOutputPageOutputProjectLinkManagePageOutput, any>({
            path: `/api/admin/project-link/get-manage-page`,
            method: 'Post',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params,
        })
    /**
  * No description
  *
  * @tags projectlink
  * @name GetPage
  * @summary 查询分页
  * @request POST:/api/admin/project-link/get-page
  * @secure
  */
    getPage = (data: PageInputProjectLinkGetPageDto, params: RequestParams = {}) =>
        this.request<ResultOutputPageOutputProjectLinkListOutput, any>({
            path: `/api/admin/project-link/get-page`,
            method: 'Post',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params,
        })
}