import { AxiosResponse } from 'axios'
import {
    PageInputProjectStatManagePageInput,
    ResultOutputPageOutputProjectStatManagePageOutput    
} from './data-contracts'
import { ContentType, HttpClient, RequestParams } from './http-client'

export class ProjectStatApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{
    /**
   * No description
   *
   * @tags projectstat
   * @name GetPage
   * @summary 查询管理分页
   * @request POST:/api/admin/project-stat/get-manage-page
   * @secure
   */
    getPageManage = (data: PageInputProjectStatManagePageInput, params: RequestParams = {}) =>
        this.request<ResultOutputPageOutputProjectStatManagePageOutput, any>({
            path: `/api/admin/project-stat/get-manage-page`,
            method: 'Post',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params,
        }) 
    /**
     * No description
     *
     * @tags projectstat
     * @name Get
     * @summary 结算
     * @request GET:/api/admin/project-stat/update-settle
     * @secure
     */
    Settle = (
        query?: {
            ProjectId: number,
            EffecDate:string
        },
        params: RequestParams = {}
    ) =>
        this.request<AxiosResponse, any>({
            path: `/api/admin/project-stat/update-settle`,
            method: 'GET',
            query: query,
            secure: true,
            format: 'json',
            ...params,
        })
}