/* eslint-disable */
/* tslint:disable */
/*
 * ---------------------------------------------------------------
 * ## THIS FILE WAS GENERATED VIA SWAGGER-TYPESCRIPT-API        ##
 * ##                                                           ##
 * ## AUTHOR: acacode                                           ##
 * ## SOURCE: https://github.com/acacode/swagger-typescript-api ##
 * ---------------------------------------------------------------
 */

import { AxiosResponse } from 'axios'
import {
    PageInputProjectGetPageDto,
    ResultOutputInt64,
    ResultOutputPageOutputProjectListOutput,
    ResultOutputProjectGetOutput,
    ProjectAddInput,
    ProjectSetStatusInput,
    ProjectUpdateInput,
    ResultOutputListProjectSelectOutput,
} from './data-contracts'
import { ContentType, HttpClient, RequestParams } from './http-client'

export class ProjectApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    /**
     * No description
     *
     * @tags project
     * @name Get
     * @summary 查询
     * @request GET:/api/admin/project/get
     * @secure
     */
    get = (
        query?: {
            /** @format int64 */
            id?: number
        },
        params: RequestParams = {}
    ) =>
        this.request<ResultOutputProjectGetOutput, any>({
            path: `/api/admin/project/get`,
            method: 'GET',
            query: query,
            secure: true,
            format: 'json',
            ...params,
        })
    /**
     * No description
     *
     * @tags project
     * @name GetPage
     * @summary 查询分页
     * @request POST:/api/admin/project/get-page
     * @secure
     */
    getPage = (data: PageInputProjectGetPageDto, params: RequestParams = {}) =>
        this.request<ResultOutputPageOutputProjectListOutput, any>({
            path: `/api/admin/project/get-page`,
            method: 'POST',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params,
        })
    /**
     * No description
     *
     * @tags project
     * @name Add
     * @summary 新增
     * @request POST:/api/admin/project/add
     * @secure
     */
    add = (data: ProjectAddInput, params: RequestParams = {}) =>
        this.request<ResultOutputInt64, any>({
            path: `/api/admin/project/add`,
            method: 'POST',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params,
        })
    /**
     * No description
     *
     * @tags project
     * @name Update
     * @summary 修改
     * @request PUT:/api/admin/project/update
     * @secure
     */
    update = (data: ProjectUpdateInput, params: RequestParams = {}) =>
        this.request<AxiosResponse, any>({
            path: `/api/admin/project/update`,
            method: 'PUT',
            body: data,
            secure: true,
            type: ContentType.Json,
            ...params,
        })
    /**
     * No description
     *
     * @tags project
     * @name SoftDelete
     * @summary 删除
     * @request DELETE:/api/admin/project/soft-delete
     * @secure
     */
    softDelete = (
        query?: {
            /** @format int64 */
            id?: number
        },
        params: RequestParams = {}
    ) =>
        this.request<AxiosResponse, any>({
            path: `/api/admin/project/soft-delete`,
            method: 'DELETE',
            query: query,
            secure: true,
            ...params,
        })    
    /**
     * No description
     *
     * @tags project
     * @name SetEnable
     * @summary 设置状态
     * @request PUT:/api/admin/project/update-status
     * @secure
     */
    setStates = (data: ProjectSetStatusInput, params: RequestParams = {}) =>
        this.request<AxiosResponse, any>({
            path: `/api/admin/project/update-status`,
            method: 'PUT',
            body: data,
            secure: true,
            type: ContentType.Json,
            ...params,
        }) 
    
    /**
     * No description
     *
     * @tags project
     * @name Get
     * @summary 查询所有项目
     * @request GET:/api/admin/project/get-all
     * @secure
     */    
    getAll = (data: {}, params: RequestParams = {}) =>
        this.request<ResultOutputListProjectSelectOutput, any>({
            path: `/api/admin/project/get-all`,
            method: 'POST',
            body: data,
            secure: true,
            type: ContentType.Json,
            format: 'json',
            ...params,
        })
}
